#include "irpair.h"
#include "mbed.h"

void IRPair::calibrateSensor() {

    ir.write( 1 );

    for (int i = 0; i < samplesToTake; ++i) 
        sensorAvg += recv.read();
        
    ir.write( 0 );
    sensorAvg /= samplesToTake;
}

float IRPair::getSamples( int samples )
{
    float z = 0;
    ir.write( 1 );
    for( int i = 0; i < samples; ++i )
        z += recv.read();
    ir.write( 0 );
    return z / samples;
}